import type React from 'react';
import type { HTMLAttributes } from 'react';
import type { DocumentInfoContext } from '../../providers/DocumentInfo/types.js';
import type { Props as DrawerProps } from '../Drawer/types.js';
export type DocumentDrawerProps = Pick<DrawerProps, 'Header'> & {
    collectionSlug: string;
    drawerSlug?: string;
    id?: number | string;
    onSave?: DocumentInfoContext['onSave'];
};
export type DocumentTogglerProps = HTMLAttributes<HTMLButtonElement> & {
    children?: React.ReactNode;
    className?: string;
    collectionSlug: string;
    disabled?: boolean;
    drawerSlug?: string;
    id?: string;
};
export type UseDocumentDrawer = (args: {
    collectionSlug: string;
    id?: number | string;
}) => [
    React.FC<Omit<DocumentDrawerProps, 'collectionSlug' | 'id'>>,
    React.FC<Omit<DocumentTogglerProps, 'collectionSlug' | 'id'>>,
    {
        closeDrawer: () => void;
        drawerDepth: number;
        drawerSlug: string;
        isDrawerOpen: boolean;
        openDrawer: () => void;
        toggleDrawer: () => void;
    }
];
//# sourceMappingURL=types.d.ts.map